{
    attributes = (
        {
            columnName = "tva_id"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = ""; }; 
            name = tvaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "tva_taux"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = ""; }; 
            name = tvaTaux; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "tyet_id"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (tvaId, tyetId); 
    className = "org.cocktail.kava.server.metier.EOTva"; 
    classProperties = (tvaTaux, typeEtat); 
    externalName = "jefy_admin.tva"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (tvaTaux, typeEtat); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOTva"; 
        "_nameInObjectStore" = "ADMINISTRATION.TVA"; 
    }; 
    name = Tva; 
    primaryKeyAttributes = (tvaId); 
    relationships = (
        {
            destination = "ca_TypeEtat"; 
            internalInfo = {"_nameInObjectStore" = Relationship; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }
    ); 
}
